Name:           perl-Test-FailWarnings
Version:        0.008
Release:        15
Summary:        Add test failures if warnings are caught
License:        ASL 2.0
URL:            https://metacpan.org/release/Test-FailWarnings
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/Test-FailWarnings-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-interpreter perl-generators perl(ExtUtils::MakeMaker) >= 6.17 perl(strict)
BuildRequires:  perl(warnings) perl(Carp) perl(Cwd) perl(File::Spec) perl(Test::More) >= 0.86
BuildRequires:  perl(Capture::Tiny) >= 0.12 perl(constant) perl(File::Spec::Functions) perl(File::Temp)
BuildRequires:  perl(IO::Handle) perl(IPC::Open3) perl(lib) perl(List::Util)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%{?perl_default_filter}

%description
This module hooks $SIG{__WARN__} and converts warnings to Test::More's
fail() calls.Just as with Test::NoWarnings, this does not catch warnings
if otherthings localize $SIG{__WARN__}, as this is designed to catch *unhandled* warnings.

%package        help
Summary:        Documention files for perl-Test-FailWarnings
%description    help
Documention files for perl-Test-FailWarnings

%prep
%autosetup -n Test-FailWarnings-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc LICENSE
%{perl_vendorlib}/*
%exclude %{_libdir}/perl5/vendor_perl/auto/Test/FailWarnings/.packlist

%files help
%doc Changes CONTRIBUTING README
%{_mandir}/man3/*

%changelog
* Thu Nov 28 2019 zhujunhao <zhujunhao5@huawei.com> - 0.008-15
- Package init
